## ros-noetic-mir-description 1.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(mir_description)

find_package(catkin REQUIRED COMPONENTS
  roslaunch
)

###################################
## catkin specific configuration ##
###################################
catkin_package()

#############
## Install ##
#############

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  config
  launch
  meshes
  rviz
  urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-noetic-mir-description (1.1.7-1buster) buster; urgency=high

  * Don't set cmake_policy CMP0048
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 19 Jan 2023 23:00:00 -0000

ros-noetic-mir-description (1.1.6-1buster) buster; urgency=high

  * URDF: Downsize inertia box, move to lower back
  * URDF: Pull out inertia properties
  * URDF: Update masses according to data sheet
  * URDF: Add mir_250
  * Add arg mir_type to launch files and urdfs
  * Add mir_250 meshes
  * URDF: Make wheels black
  * Add mir_100_v1.urdf.xacro for backwards compatibility
  * Rename mir_100 -> mir
  * Refactor URDF to prepare for MiR250 support
  * Gazebo: Don't manually specify wheel params for diffdrive controller
  * Simplify mir_100 collision mesh further
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Jun 2022 22:00:00 -0000

ros-noetic-mir-description (1.1.5-1buster) buster; urgency=high

  * Remove xacro comment to work around xacro bug
    Since xacro 1.14.11, xacro now also evaluates expressions in comments
    and throws an error if the substition argument is undefined. In xacro
    1.14.12, this error was changed to a warning.
    This commit removes that warning.
    Workaround for https://github.com/ros/xacro/issues/309 .
  * xacro: drop --inorder option
    In-order processing became default in ROS Melodic.
  * Add gazebo_plugins to dependency list (#103 <https://github.com/dfki-ric/mir_robot/issues/103>)
    This is needed for the ground truth pose via p3d plugin.
  * Contributors: Martin Günther, moooeeeep

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Feb 2022 23:00:00 -0000

ros-noetic-mir-description (1.1.4-1buster) buster; urgency=high

  * Replace gazebo_plugins IMU with hector_gazebo_plugins
  * Use cylinders instead of STLs for wheel collision geometries
    Fixes #99 <https://github.com/dfki-ric/mir_robot/issues/99>.
  * mir_debug_urdf.launch: Fix GUI display
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Dec 2021 23:00:00 -0000

ros-noetic-mir-description (1.1.3-1buster) buster; urgency=high

  * Merge branch 'melodic-2.8' into noetic
  * Rename tf frame and topic 'odom_comb' -> 'odom'
    This is how they are called on the real MiR since MiR software 2.0.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-noetic-mir-description (1.1.2-1buster) buster; urgency=high

  * Fix laser scan frame_id with gazebo_plugins 2.9.2
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-mir-description (1.1.1-1buster) buster; urgency=high

  * Add prepend_prefix_to_laser_frame to URDF and launch files
    Fixes #65 <https://github.com/dfki-ric/mir_robot/issues/65>.
  * Add tf_prefix to URDF and launch files
  * Fix typo in robot_namespace
  * Add missing 'xacro:' xml namespace prefixes
    Macro calls without 'xacro:' prefix are deprecated in Melodic and will
    be forbidden in Noetic.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-mir-description (1.1.0-1buster) buster; urgency=high

  * Initial release into noetic
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-description (1.0.6-1buster) buster; urgency=high

  * Update to non-deprecated robot_state_publisher node
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-description (1.0.5-1buster) buster; urgency=high

  * Switch from Gazebo GPU laser to normal laser plugin
    The GPU laser plugin has caused multiple people problems before, because
    it is not compatible with all GPUS: #1 <https://github.com/dfki-ric/mir_robot/issues/1>
    #32 <https://github.com/dfki-ric/mir_robot/issues/32>
    #46 <https://github.com/dfki-ric/mir_robot/issues/46>
    #52 <https://github.com/dfki-ric/mir_robot/issues/52>
    The normal laser plugin directly uses the physics engine, so it doesn't
    depend on any specific GPU. Also, it doesn't slow down the simulation
    noticeably (maybe 1-2%).
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-noetic-mir-description (1.0.4-1buster) buster; urgency=high

  * Add legacyModeNS param to gazebo_ros_control plugin
    This enables the new behavior of the plugin (pid_gains parameter are now
    in the proper namespace).
  * re-added gazebo friction parameters for the wheels (#19 <https://github.com/dfki-ric/mir_robot/issues/19>)
  * Contributors: Martin Günther, niniemann

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-mir-description (1.0.3-1buster) buster; urgency=high

  * Merge pull request #16 <https://github.com/dfki-ric/mir_robot/issues/16> from niniemann/add-prefix-argument-to-configs
    Add prefix argument to configs
  * removed prefix from plugin frameName in sick urdf
    The gazebo plugins automatically use tf_prefix, even if none is set
    (in that case it defaults to the robot namespace). That's why we can
    remove the prefix from the plugins configuration, assuming that the
    robot namespace will be equal to the prefix.
  * adds $(arg prefix) to a lot of configs
    This is an important step to be able to re-parameterize move base,
    the diffdrive controller, ekf, amcl and the costmaps for adding a
    tf prefix to the robots links
  * workaround eval in xacro for indigo support
  * adds tf_prefix argument to imu.gazebo.urdf.xacro
  * Add TFs for ultrasound sensors
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-noetic-mir-description (1.0.2-1buster) buster; urgency=high





=== debian/control ===
Source: ros-noetic-mir-description
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-noetic-mir-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diff-drive-controller, ros-noetic-gazebo-plugins, ros-noetic-gazebo-ros-control, ros-noetic-hector-gazebo-plugins, ros-noetic-joint-state-controller, ros-noetic-joint-state-publisher, ros-noetic-joint-state-publisher-gui, ros-noetic-position-controllers, ros-noetic-robot-state-publisher, ros-noetic-rviz, ros-noetic-urdf, ros-noetic-xacro
Description: URDF description of the MiR robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mir-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
